## rootskel-gtk 1.41+devuan2

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

# ASCII
#BRIGHTBANNER = logo_installer_darkpurpy.png
#DARKBANNER = logo_installer_darkpurpy_dark.png

# beowulf
BRIGHTBANNER = bright-banner-beowulf.png
DARKBANNER = bright-banner-beowulf.png

files = \
	$(BRIGHTBANNER) $(DARKBANNER) \
	note_icon.png warning_icon.png

%.png: %.svg
	rsvg-convert $< > $@

build-local:: $(files)

clean-local::
	[ -f $(BRIGHTBANNER:.png=.svg) ] && rm -f $(BRIGHTBANNER) || true
	[ -f $(DARKBANNER:.png=.svg) ] && rm -f $(DARKBANNER) || true

install-local:: $(outdir)
	ln -fs $(BRIGHTBANNER) $(outdir)/logo_installer.png
	ln -fs $(DARKBANNER) $(outdir)/logo_installer_dark.png


include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (1.41+devuan2) unstable; urgency=medium

  * fix up Clearlooks colors for 16-bit VGA

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Mon, 16 Dec 2019 17:10:00 +1100

rootskel-gtk (1.41+devuan1) unstable; urgency=medium

  * merged in 1.41 over 1.37+devuan2

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Sat, 14 Dec 2019 12:10:00 +1100

rootskel-gtk (1.37+devuan2~beowulf1) beowulf; urgency=medium

  * version bume for testing new pipeline

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Fri, 29 Nov 2019 23:42:00 +1100

rootskel-gtk (1.37+devuan2) unstable; urgency=medium

  * installed beowulf banner

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Sat, 21 Sep 2019 16:14:00 +1000

rootskel-gtk (1.37+devuan1) unstable; urgency=medium

  * merged 1.37 from buster

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 14 Apr 2018 15:30:47 +0100

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> 
Uploaders: Daniel Reurich <centurion_dan@devuan.org>, Hellekin <hellekin@dyne.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), librsvg2-bin
Vcs-Browser: https://git.devuan.org/devuan-packages/rootskel-gtk
Vcs-Git: https://git.devuan.org/devuan-packages/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: Additions for graphical installs to skeleton root filesystem (debian-installer)

## rootskel-gtk 1.41+nmu1

=== debian/changelog ===
rootskel-gtk (1.41+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:34:03 +0800

## rootskel-gtk 11.0.1

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png

logo_debian.png: logo_debian_homeworld.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_debian_homeworld_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (11.0.1) unstable; urgency=medium

  * Fix colour in GTK theme

 -- Jonathan Carter <jcc@debian.org>  Mon, 15 Feb 2021 20:21:48 +0200

rootskel-gtk (1.42) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927547)

  [ Jonathan Carter ]
  * Update to debhelper-compat (=13)
  * Declare standards version 4.5.1
  * Declare Rules-Requires-Root: no
  * Change copyright file to machine readable format
  * Update to Homeworld theme for Debian 11

 -- Jonathan Carter <jcc@debian.org>  Sat, 19 Dec 2020 15:43:01 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Aurélien COUDERC <zecoucou@free.fr>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=13), dpkg-dev (>= 1.17.27), librsvg2-bin
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel-gtk
Vcs-Git: https://salsa.debian.org/installer-team/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 11.0.1pureos1

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_pureos.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_pureos.png $(outdir)/logo_installer.png
	ln -fs logo_pureos.png $(outdir)/logo_installer_dark.png

logo_debian.png: logo_debian_homeworld.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_debian_homeworld_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (11.0.1pureos1) byzantium; urgency=medium

  [ Jonas Smedegaard ]
  * fork for PureOS:
    + set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer
    + drop uploaders (unused by PureOS Maintainers)
    + replace Vcs-* fields
    + add git-buildpackage config

  [ Hema Prathaban ]
  * rebrand for PureOS

 -- Jonas Smedegaard <jonas.smedegaard@puri.sm>  Sun, 25 Apr 2021 19:46:01 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper-compat (=13), dpkg-dev (>= 1.17.27), librsvg2-bin
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://source.puri.sm/pureos/core/rootskel-gtk.git
Vcs-Browser: https://source.puri.sm/pureos/core/rootskel-gtk

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 11.0.1+11.0trisquel0

=== debian/changelog ===
rootskel-gtk (11.0.1+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 07 Sep 2022 15:31:43 +0000

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Aurélien COUDERC <zecoucou@free.fr>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=13), dpkg-dev (>= 1.17.27), librsvg2-bin
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel-gtk
Vcs-Git: https://salsa.debian.org/installer-team/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 11.0.1+devuan1

=== debian/changelog ===
rootskel-gtk (11.0.1+devuan1) unstable; urgency=medium

  * Merge Debian 11.0.1.
  * d/control:
     - Change maintainer to Devuan Dev list.
     - Update Vcs-* following gitea migration.
     - Add Origin: Devuan
  * d/gbp.conf: create with sane defaults.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 08 Jun 2021 18:01:49 +0100

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Daniel Reurich <centurion_dan@devuan.org>, Hellekin <hellekin@dyne.org>
Build-Depends: debhelper-compat (=13), dpkg-dev (>= 1.17.27), librsvg2-bin
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://git.devuan.org/devuan/rootskel-gtk
Vcs-Git: https://git.devuan.org/devuan/rootskel-gtk.git
Origin: Devuan

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 11.0.2+kaisen1

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	kaisen.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

install-local:: $(outdir)
	ln -fs kaisen.png $(outdir)/logo_installer.png

include ../../../../Makefile.inc

=== src/usr/share/themes/Makefile ===
dir = usr/share/themes

files = \
	Kaisen/gtk-2.0/gtkrc \

#  I should put Makefiles in all intermediate directories, let's get lazy
build-recursive clean-recursive install-recursive:
	-@:

build clean:
	-@:

install:
	for file in $(files); \
	do \
	  mkdir -p `dirname $(DESTDIR)/$(dir)/$$file`; \
	  cp $$file $(DESTDIR)/$(dir)/$$file; \
	done

=== src/usr/share/themes/Kaisen/Makefile ===
dir = usr/share/themes/Kaisen

subdirs = \
	gtk-2.0

include ../../../../../Makefile.inc

=== src/usr/share/themes/Kaisen/gtk-2.0/Makefile ===
dir = usr/share/themes/Kaisen/gtk-2.0

files = \
	gtkrc

include ../../../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (11.0.2+kaisen1) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 22 Nov 2022 16:43:39 +0200

rootskel-gtk (11.0.2) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Make gbp produce the right tag format.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 Aug 2022 18:48:38 +0200

rootskel-gtk (11.0.1+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 03 Mar 2021 06:10:17 +0200

rootskel-gtk (1.42+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 03 Jan 2020 01:34:17 +0200

rootskel-gtk (1.41+kaisen3) kaisen-packages; urgency=medium

  * Remove Tobas banner (thanks my friend) because EFI malformed banner.
  * Update GTK theme (adding black variantes and update red).

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Tue, 15 Sep 2020 01:06:04 +0200

rootskel-gtk (1.41+kaisen2) kaisen-devel; urgency=medium

  * Adding banner created by Tobas (replace Kaisen Linux logo in GTK installer)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Fri, 05 Jun 2020 16:19:12 +0200

rootskel-gtk (1.41+kaisen1) kaisen-devel; urgency=medium

  * Adding Kaisen-Official theme for GTK

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 11 May 2020 00:56:26 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (=13), dpkg-dev (>= 1.17.27), librsvg2-bin
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/rootskel-gtk
Vcs-Git: https://gitlab.com/kaisenlinux/packages/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 12.0.1

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png

logo_debian.png: logo_debian_emerald.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_debian_emerald_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (12.0.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Jonathan Carter ]
  * Update graphical banner for Debian 12 theme
  * Update GTK theme for emerald colours
  * Update notification icons
  * Update standards version to 4.6.1
  * Update copyright filename and copyright years

 -- Jonathan Carter <jcc@debian.org>  Sun, 11 Dec 2022 12:52:30 +0200

## rootskel-gtk 12.0.2

=== src/usr/share/graphics/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 files = \
 	logo_debian.png \
 	logo_debian_dark.png \
+	logo_debian.ini \
 	note_icon.png \
 	warning_icon.png
 
@@ -14,6 +15,7 @@
 install-local:: $(outdir)
 	ln -fs logo_debian.png $(outdir)/logo_installer.png
 	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png
+	ln -fs logo_debian.ini $(outdir)/logo_installer.ini
 
 logo_debian.png: logo_debian_emerald.svg
 	rsvg-convert $< > $@

=== debian/changelog ===
rootskel-gtk (12.0.2) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Add support for banner metadata (logo_installer.ini), to be used by
    cdebconf-gtk-udeb to determine where the banner label should be
    placed, and which side(s) can be expanded when the GTK window is wider
    than the banner logo (See: #745359, Closes: #1036321).
  * Perform some SVG surgery on the dark banner to make sure the PNG
    export gives appropriate results.

  [ Aurélien COUDERC ]
  * Align dark banner colors with dark/high-contrast theme.
  * Fix document viewport, making sure the first and last 1-px columns are
    rendered consistently.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 23 May 2023 12:08:19 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Aurélien COUDERC <zecoucou@free.fr>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 13), librsvg2-bin
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel-gtk
Vcs-Git: https://salsa.debian.org/installer-team/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 12.0.2A~5.2.0.202310271325

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	logo_debian.ini \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png note_icon.png warning_icon.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png
	ln -fs logo_debian.ini $(outdir)/logo_installer.ini

logo_debian.png: logo_ucs.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_ucs.svg
	rsvg-convert $< > $@

note_icon.png warning_icon.png: %: %.b64
	base64 -d $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (12.0.2A~5.2.0.202310271325) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35371-updated-GTK-theme.patch
    0002-replace_banner.patch
    0003-Bug-47090-disable-screen-blanking.patch

 -- Univention builddaemon <buildd@univention.de>  Fri, 27 Oct 2023 13:25:39 +0200

## rootskel-gtk 12.0.2devuan1

=== debian/changelog ===
rootskel-gtk (12.0.2devuan1) unstable; urgency=medium

  * Merge tag 12.0.2.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 23 May 2023 15:31:41 +0100

rootskel-gtk (12.0.1devuan2) unstable; urgency=medium

  * d/changelog: minimise delta and make Devuan additions machine
    readable.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 11 Apr 2023 08:28:00 +0100

rootskel-gtk (12.0.1devuan1) unstable; urgency=medium

  * Merge tag 12.0.1 keeping existing Devuan theming.
  * Reduce unnecessary delta from Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 10 Apr 2023 09:24:39 +0100

rootskel-gtk (11.0.2devuan1) unstable; urgency=medium

  * Merge tag 11.0.2.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 09 Sep 2022 17:28:52 +0100

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Daniel Reurich <centurion_dan@devuan.org>, Hellekin <hellekin@dyne.org>
Build-Depends: debhelper-compat (= 13), librsvg2-bin
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://git.devuan.org/devuan/rootskel-gtk
Vcs-Git: https://git.devuan.org/devuan/rootskel-gtk.git
Origin: Devuan

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 12.0.3

=== debian/changelog ===
rootskel-gtk (12.0.3) lory; urgency=medium

  * Import new Debian release.
  * Use dark theme by default.
  * Use Parrot theming.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 27 May 2024 03:11:06 +0200

rootskel-gtk (2:11.0.1+parrot3) parrot-updates; urgency=medium

  * Restore default theme.
  * Fix header picture.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 28 Jan 2022 14:11:18 +0100

rootskel-gtk (2:11.0.1+parrot2) parrot-updates; urgency=medium

  * Use ICY-Dark as dark theme.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 14 Jan 2022 01:04:05 +0100

rootskel-gtk (2:11.0.1+parrot1) lts-updates; urgency=medium

  * Use dark theme by default.
  * Add Parrot icons.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 14 Oct 2021 20:36:06 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), librsvg2-bin
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 13.0.2

=== debian/changelog ===
rootskel-gtk (13.0.2) unstable; urgency=medium

  * Update artwork to use Ceratopsian theme for Debian 13
    (Closes: #1084903)
  * Update copyright years
  * Update standards version to 4.7.0
  * Move lib to usr/lib (#1074014 for further details)

 -- Jonathan Carter <jcc@debian.org>  Fri, 20 Dec 2024 11:45:07 +0200

rootskel-gtk (13.0.1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Installer logos: Remove Debian 12 branding for trixie installer.
  * Remove leftovers from DirectFB support. These don't seem to have been used
    since the move from DirectFB to X11 in 2010.

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 25 Oct 2024 23:01:23 +0200

rootskel-gtk (12.0.3) unstable; urgency=medium

  * Team upload

  [ Philip Hands ]
  * prevent screen blanking under X (closes: #787279)

  [ Samuel Thibault ]
  * Dark theme: Set background as dark, so that text input fields actually
    show up (Closes: #1036886)

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 06 Jun 2024 21:09:50 +0200

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Aurélien COUDERC <zecoucou@free.fr>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 13), librsvg2-bin
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel-gtk
Vcs-Git: https://salsa.debian.org/installer-team/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 13.0.4

=== src/Makefile ===
dir =

subdirs = \
	etc \
	usr

include ../Makefile.inc

=== src/usr/Makefile ===
dir = usr

subdirs = \
	bin \
	lib \
	share

include ../../Makefile.inc

=== src/usr/lib/Makefile ===
dir = usr/lib

subdirs = \
	debian-installer.d

include ../../../Makefile.inc

=== src/usr/lib/debian-installer.d/Makefile ===
dir = usr/lib/debian-installer.d

DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	S62Xorg

ifeq ($(DEB_HOST_ARCH_CPU),linux)
   files += \
	S61mouse-support-linux
endif

include ../../../../Makefile.inc

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	logo_debian.ini \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png
	ln -fs logo_debian.ini $(outdir)/logo_installer.ini

logo_debian.png: logo_debian_ceratopsian.svg
	rsvg-convert $< > $@

logo_debian_dark.png: logo_debian_ceratopsian_dark.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (13.0.4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Adapt installer banner image to the most recent iteration of the
    Ceratopsian theme.
  * Update my uploader email address.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 15 Jun 2025 14:58:29 +0200

rootskel-gtk (13.0.3) unstable; urgency=medium

  * Fix Japanese rendering support by using a more appropriate font,
    with many thanks to Kentaro HAYASHI (#1099191):
     - Switch font name from VL Gothic to MotoyaLCedar.
     - Switch font size from 9pt to 10pt.
  * When falling back to the default font, log the requested font.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 23 May 2025 23:30:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Aurélien COUDERC <zecoucou@free.fr>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13), librsvg2-bin
 Standards-Version: 4.7.0

## rootskel-gtk 13.0.4devuan1

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

# ASCII
#BRIGHTBANNER = logo_installer_darkpurpy.png
#DARKBANNER = logo_installer_darkpurpy_dark.png

# beowulf
BRIGHTBANNER = bright-banner-beowulf.png
DARKBANNER = bright-banner-beowulf.png

files = \
	$(BRIGHTBANNER) $(DARKBANNER) \
	note_icon.png warning_icon.png

%.png: %.svg
	rsvg-convert $< > $@

build-local:: $(files)

clean-local::
	[ -f $(BRIGHTBANNER:.png=.svg) ] && rm -f $(BRIGHTBANNER) || true
	[ -f $(DARKBANNER:.png=.svg) ] && rm -f $(DARKBANNER) || true

install-local:: $(outdir)
	ln -fs $(BRIGHTBANNER) $(outdir)/logo_installer.png
	ln -fs $(DARKBANNER) $(outdir)/logo_installer_dark.png

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (13.0.4devuan1) unstable; urgency=medium

  * Merge tag 13.0.4.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 16 Jun 2025 18:49:04 +0100

rootskel-gtk (13.0.3devuan1) unstable; urgency=medium

  * Merge tag 13.0.3.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 24 May 2025 07:18:37 +0100

rootskel-gtk (13.0.2devuan1) unstable; urgency=medium

  * Merge tag 13.0.2.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 20 Dec 2024 16:40:43 +0000

rootskel-gtk (13.0.1devuan1) unstable; urgency=medium

  * Merge tag 13.0.1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 26 Oct 2024 07:32:14 +0100

rootskel-gtk (12.0.3devuan1) unstable; urgency=medium

  * Merge tag 12.0.3.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 08 Jun 2024 10:26:10 +0100

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Daniel Reurich <centurion_dan@devuan.org>, Hellekin <hellekin@dyne.org>
Build-Depends: debhelper-compat (= 13), librsvg2-bin
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://git.devuan.org/devuan/rootskel-gtk
Vcs-Git: https://git.devuan.org/devuan/rootskel-gtk.git
Origin: Devuan

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 13.0.4trisquel1

=== debian/changelog ===
rootskel-gtk (13.0.4trisquel1) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Jun 2025 00:53:14 +0000

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 13), librsvg2-bin
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel-gtk
Vcs-Git: https://salsa.debian.org/installer-team/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 13.0.4+kali1

=== src/usr/share/graphics/Makefile ===
dir = usr/share/graphics

files = \
	logo_debian.png \
	logo_debian_dark.png \
	logo_debian_purple.png \
	logo_debian.ini \
	note_icon.png \
	warning_icon.png

build-local:: $(files)

clean-local::
	rm -f logo_debian.png logo_debian_dark.png logo_debian_purple.png

install-local:: $(outdir)
	ln -fs logo_debian.png $(outdir)/logo_installer.png
	ln -fs logo_debian_dark.png $(outdir)/logo_installer_dark.png
	ln -fs logo_debian.ini $(outdir)/logo_installer.ini

logo_debian.png: kali-install-blue.svg
	rsvg-convert $< > $@

logo_debian_dark.png: kali-install-dark.svg
	rsvg-convert $< > $@

logo_debian_purple.png: kali-install-purple.svg
	rsvg-convert $< > $@

include ../../../../Makefile.inc

=== src/usr/share/themes/Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 dir = usr/share/themes
 
 files = \
-	Kaisen/gtk-2.0/gtkrc \
+	Clearlooks/gtk-2.0/gtkrc \
+	Clearlooks-Purple/gtk-2.0/gtkrc \
+	dark/gtk-2.0/gtkrc
 
 #  I should put Makefiles in all intermediate directories, let's get lazy
 build-recursive clean-recursive install-recursive:

=== src/usr/share/themes/Clearlooks-Purple/Makefile ===
dir = usr/share/themes/Clearlooks-Purple

subdirs = \
	gtk-2.0

include ../../../../../Makefile.inc

=== src/usr/share/themes/Clearlooks-Purple/gtk-2.0/Makefile ===
dir = usr/share/themes/Clearlooks-Purple/gtk-2.0

files = \
	gtkrc

include ../../../../../../Makefile.inc

=== debian/changelog ===
rootskel-gtk (13.0.4+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@kali.org>  Tue, 01 Jul 2025 15:32:20 +0200

rootskel-gtk (13.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 15:49:03 +0100

rootskel-gtk (13.0.1+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Dec 2024 11:44:14 +0100

rootskel-gtk (12.0.3+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 28 Jun 2024 10:50:31 +0700

rootskel-gtk (12.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 Jun 2023 15:09:27 +0200

rootskel-gtk (12.0.1+kali2) kali-dev; urgency=medium

  * Add Kali Purple installer theme

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 16 Feb 2023 14:05:53 +0100

rootskel-gtk (12.0.1+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Dec 2022 14:12:57 +0100

rootskel-gtk (11.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Sep 2022 10:58:47 +0200

rootskel-gtk (11.0.1+kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add XSBC-Original-Maintainer
  * Update email address

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields
  * Bump Standards-Version

  [ Daniel Ruiz de Alegría ]
  * Update installer theme

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 12 Jan 2022 09:14:02 +0700

rootskel-gtk (11.0.1+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 08 Mar 2021 17:43:45 +0700

rootskel-gtk (1.42+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Jan 2021 09:48:19 +0100

rootskel-gtk (1.41+kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Daniel Ruiz de Alegría ]
  * Update GUI setup banner
  * Update gtk2 theme colors
  * Update icons

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 20 Jan 2020 12:11:08 +0100

rootskel-gtk (1.41+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Jan 2019 12:53:17 +0100

rootskel-gtk (1.39+kali1) kali-dev; urgency=medium

  * Import new version from Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Jan 2019 15:51:12 +0100

rootskel-gtk (1.38+kali1) kali-dev; urgency=medium

  * Import new version from Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Sep 2018 09:51:01 +0200

rootskel-gtk (1.37+kali1) kali-dev; urgency=medium

  * Import new version from Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Jun 2017 15:27:10 +0200

rootskel-gtk (1.36+kali2) kali-dev; urgency=medium

  * Update banner with new artwork.

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 10 Feb 2017 12:40:16 +0100

rootskel-gtk (1.36+kali1) kali-dev; urgency=medium

  * Import new version from Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Jan 2017 15:50:03 +0100

rootskel-gtk (1.34+kali1) kali-dev; urgency=medium

  * Import new version from Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Nov 2016 10:52:44 +0100

rootskel-gtk (1.33+kali1) kali-dev; urgency=medium

  * Import new version in kali

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Mar 2016 14:35:23 +0100

rootskel-gtk (1.32+kali1) kali-dev; urgency=medium

  * Import new version from debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Sep 2015 11:11:24 +0200

rootskel-gtk (1.31+kali1) kali-dev; urgency=medium

  * Import new debian version in kali

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Jan 2015 16:57:30 +0100

rootskel-gtk (1.30+kali1) kali-dev; urgency=medium

  * Import new debian version in kali
  * Install logo kali instead of new logo_debian_dark

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Nov 2014 11:41:50 +0100

rootskel-gtk (1.26+kali12) kali; urgency=low

  * Updated installer logo

 -- Mati Aharoni <muts@kali.org>  Fri, 01 Mar 2013 21:17:14 -0500

rootskel-gtk (1.26+kali11) kali; urgency=low

  * Updated installer logo

 -- Mati Aharoni <muts@kali.org>  Thu, 28 Feb 2013 19:54:53 -0500

rootskel-gtk (1.26+kali10) kali; urgency=low

  * Updated installer logo

 -- Mati Aharoni <muts@kali.org>  Thu, 31 Jan 2013 15:23:54 -0500

rootskel-gtk (1.26+kali9) kali; urgency=low

  * Fixed kali slogan on images

 -- Mati Aharoni <muts@kali.org>  Thu, 31 Jan 2013 10:08:01 -0500

rootskel-gtk (1.26+kali8) kali; urgency=low

  * Updated installer logo

 -- Mati Aharoni <muts@kali.org>  Fri, 25 Jan 2013 10:18:41 -0500

rootskel-gtk (1.26+kali7) kali; urgency=low

  * Removed svg requirement from installer image

 -- Mati Aharoni <muts@kali.org>  Fri, 18 Jan 2013 17:38:46 -0500

rootskel-gtk (1.26+kali6) kali; urgency=low

  * Version bump + installer image swap

 -- Mati Aharoni <muts@kali.org>  Tue, 25 Dec 2012 18:41:45 -0500

rootskel-gtk (1.26+kali5) kali; urgency=low

  * Mock picture update

 -- Mati Aharoni <muts@kali.org>  Tue, 25 Dec 2012 16:19:38 -0500

rootskel-gtk (1.26+kali4) kali; urgency=low

  * Mock picture update

 -- Mati Aharoni <muts@kali.org>  Tue, 25 Dec 2012 15:36:20 -0500

rootskel-gtk (1.26+kali3) kali; urgency=low

  * Updated logo svg file

 -- Mati Aharoni <muts@kali.org>  Mon, 24 Dec 2012 16:17:55 -0500

rootskel-gtk (1.26+kali2) kali; urgency=low

  * Updated Kali logo

 -- Mati Aharoni <muts@kali.org>  Fri, 21 Dec 2012 15:47:07 -0500

rootskel-gtk (1.26+kali1) kali; urgency=low

  * Replace Debian's default banner (Joy) with the Kali banner.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 20 Dec 2012 17:22:00 +0100

=== debian/control ===
Source: rootskel-gtk
Section: debian-installer
Priority: optional
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends: debhelper-compat (= 13), librsvg2-bin
Standards-Version: 4.7.0
Rules-Requires-Root: no
XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/rootskel-gtk
XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/rootskel-gtk.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/rootskel-gtk
Vcs-Git: https://gitlab.com/kalilinux/packages/rootskel-gtk.git

Package: rootskel-gtk
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, rootskel
Description: graphics for use in debian-installer (gtk user interface)

## rootskel-gtk 13.0.4+kali2

=== debian/changelog ===
rootskel-gtk (13.0.4+kali2) kali-dev; urgency=medium

  * Update banner and gtk2 theme

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 23 Jan 2026 11:39:41 +0100

## rootskel-gtk 13.0.4+kali3

=== debian/changelog ===
rootskel-gtk (13.0.4+kali3) kali-dev; urgency=medium

  * Change installer theme

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 06 Feb 2026 13:31:13 +0100
